#Syntax 3

SectionUseCase."HiFi" {
	File "HiFi.conf"
	Comment "Play high quality music"
}

#SectionUseCase."Record" {
#	File "Record.conf"
#	Comment "Record"
#}

SectionDefaults [
	        exec "echo UCMD: section default setup"
	        cdev "hw:sprdphonesc2730"

                cget "name='HPL EAR Sel' HPL"
#//agdsp access
		cset "name='agdsp_access_en' 1"
		cset "name='Aux Mic Function' 0"
		cset "name='ADCR Mixer AuxMICADCR Switch' 0"

#//be
		cset "name='ag_iis1_ext_sel' 1"
		cset "name='S_NORMAL_AP01_C_CODEC SWITCH' 1"
		cset "name='S_NORMAL_AP23_C_CODEC SWITCH' 1"
		cset "name='S_CAPTURE_DSP_CODEC SWITCH' 1"
		cset "name='S_VOICE_C_CODEC SWITCH' 1"
		cset "name='S_VOIP_C_CODEC SWITCH' 1"
		cset "name='S_LOOP_C_CODEC SWITCH' 1"

#//iis
		cset "name='VBC_IIS_RX0_WD_SEL' WD_24BIT"
		cset "name='VBC_IIS_RX1_WD_SEL' WD_24BIT"
		cset "name='VBC_IIS_RX2_WD_SEL' WD_24BIT"
		cset "name='VBC_MUX_ADC0_IIS_PORT_SEL' VBC_IIS_PORT_IIS1"
		cset "name='VBC_MUX_ADC1_IIS_PORT_SEL' VBC_IIS_PORT_IIS1"
		cset "name='VBC_MUX_ADC2_IIS_PORT_SEL' VBC_IIS_PORT_IIS1"

#//codec
		cset "name='ADC LRCLK Select' invert"
		cset "name='ADC1 LRCLK Select' invert"
		cset "name='ADCL Mixer MainMICADCL Switch' 1"
		cset "name='AUD ADC0L Switch' 1"
		cset "name='AUD ADC0R Switch'  1"
		cset "name='Mic Function' 1"


		cset "name='ADCL Gain ADCL Capture Volume' 3"
		cset "name='ADCR Gain ADCR Capture Volume' 3"

                cset "name='HPR Mixer DACRHPR Switch' 1"
                cset "name='HPL Mixer DACLHPL Switch' 1"
                cset "name='HPL Gain HPL Playback Volume' 4"
                cset "name='HPR Gain HPR Playback Volume' 4"

		cset "name='SPKL Mixer DACLSPKL Switch' 1"
		cset "name='Speaker Function' 1"
#		cset "name='agdsp_access_en' 1"

                cset "name='S_NORMAL_AP01_P_CODEC SWITCH' 1"
                cset "name='ag_iis0_ext_sel' 1"
]
